package tvark.jsf;

import javax.el.ValueExpression;
import javax.faces.component.UIComponent;
import javax.faces.webapp.UIComponentELTag;

public class CopyTag extends UIComponentELTag {

	private ValueExpression mSource;
	
	private ValueExpression mTarget;

	@Override
	public String getComponentType() {
		return CopyComponent.COMPONENT_TYPE;
	}

	@Override
	public String getRendererType() {
		return null;
	}

	public ValueExpression getSource() {
		return mSource;
	}

	public void setSource(ValueExpression pSource) {
		mSource = pSource;
	}

	public ValueExpression getTarget() {
		return mTarget;
	}

	public void setTarget(ValueExpression pTarget) {
		mTarget = pTarget;
	}

	@Override
	protected void setProperties(UIComponent pComp) {
		CopyComponent alias = (CopyComponent) pComp;
		super.setProperties(alias);
		alias.setSource(mSource);
		alias.setTarget(mTarget);
	}
	
	

	
}
